#
# spec file for package c_count
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           c_count
Version:        7.23
Release:        1.3
Summary:        Source Code Measure Counter for C/C++/Java
License:        MIT
URL:            https://invisible-island.net/c_count/
Source0:        https://invisible-island.net/archives/c_count/%{name}-%{version}.tgz
Source1:        https://invisible-island.net/archives/c_count/%{name}-%{version}.tgz.asc
Source2:        %{name}.keyring

%description
c_count counts lines, statements, and other simple measures of C/C++/Java
source programs. It is not lex/yacc based, and is easily portable to a
variety of systems.

%prep
%autosetup

%build
%configure \
  --enable-warnings
%make_build

%install
%make_install

%check
%make_build check

%files
%license COPYING
%doc CHANGES README
%{_bindir}/c_count
%{_mandir}/man1/c_count.1%{?ext_man}

%changelog
* Sun Jun  2 2024 jun wang <jgwang@suse.com>
- Update to version 7.23
  * improve style/formatting of manpage
  * updated configure macros
  * update config.guess and config.sub
* Thu Jun 22 2023 Martin Pluskal <mpluskal@suse.com>
- Update to version 7.22
  * see provided CHANGES for list of changes
- Refresh source url and gpg keyring
* Fri Apr 16 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 7.20:
  * updated configure macros
  * update config.guess and config.sub
* Mon Dec  7 2020 Martin Pluskal <mpluskal@suse.com>
- Update to version 7.19:
  + remove obsolete makefile-rules
  + updated configure macros
  + update config.guess and config.sub
* Wed Jul 11 2018 mpluskal@suse.com
- Update to version 7.18:
  * updated configure macros
  * update config.guess and config.sub
* Thu Nov  5 2015 mpluskal@suse.com
- Update to 7.17
  * fix breakage in configure script from 7.16
  * updated configure macros
* Wed Aug  5 2015 mpluskal@suse.com
- Update to 7.16
  * add configure option --with-man2html
  * updated configure macros
  * update config.guess and config.sub
- Add gpg signature
- Cleanup spec file with spec-cleaner
- Update dependencies
* Thu Dec 25 2014 p.drouand@gmail.com
- Update to version 7.15
  + ensure that parse-state returns to "code" after a comment is
  completed.  Extend parsing for numbers to improve error-checking.
  + updated configure macros
  + update config.guess and config.sub
* Tue Jun 17 2014 tchvatal@suse.com
- Version bump to 7.14:
  * cross compiling support
  * configure script updates
  * minor fix to Quoted
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Jan 24 2012 pascal.bleser@opensuse.org
- minor spec file cleanup
* Sun Jul 18 2010 pascal.bleser@opensuse.org
- initial package (7.12)
